Welcome to Assassin's Creed Wiki! Log in and join the community.

User:Soranin/common.css: Difference between revisions

From the Assassin's Creed Wiki
Jump to navigation Jump to search
imported>Soranin
m Hmm.
imported>Soranin
that's a no. more js for me then
Line 1: Line 1:
/* Outer container.
* This is invisible. It exists purely for bounding-box calculations.
*/
.refpopups-popup {
    position: absolute !important;
    z-index: 20000000;
}
/* The actual (visible) popup box.
* This is directly descended from the invisible popup container.
*/
.refpopups-box {
    width: 20em;
    background-color: rgb(243, 243, 243);
    color: black;
    border: 2px solid rgb(8, 0, 134);
    padding: 1em;
    position: relative;
    box-shadow: 2px 2px 4px black;
    box-shadow: 2px 2px 4px rgba(0,0,0,0.66);
}
.refpopups-box.WikiaArticle {
    min-width: 0;
    max-width: none;
    min-height: 0;
    max-height: none;
    height: auto;
    z-index: auto;
}
.WikiaPage.WikiaGrid .WikiaArticle.refpopups-box {
    padding: 1em;
}
.refpopups-chevron-out {
    border:10px solid;
    border-bottom-width: 0;
    border-color: rgb(8, 0, 134) transparent transparent;
    position: absolute;
    bottom: -8px;
    z-index: 1;
}
.refpopups-chevron-in {
    border:8px solid;
    border-bottom-width: 0;
    border-color: rgb(243, 243, 243) transparent transparent;
    position: absolute;
    bottom: -6px;
    z-index: 1;
}
.refpopups-flipped > .refpopups-chevron-out {
    bottom: auto;
    top: -8px;
    border-bottom-width: 10px;
    border-top-width: 0;
    border-color: transparent transparent rgb(8, 0, 134);
}
.refpopups-flipped > .refpopups-chevron-in {
    bottom: auto;
    top: -6px;
    border-bottom-width: 8px;
    border-top-width: 0;
    border-color: transparent transparent rgb(243, 243, 243);
}
.refpopups-configure {
    display: block;
    position: absolute;
    width: 16px;
    height: 16px;
    /* //upload.wikimedia.org/wikipedia/commons/e/ed/Cog.png */
    background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8%2F9hAAAABGdBTUEAAK%2FINwWK6QAAABl0RVh0U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAL8SURBVHjaYvz%2F%2Fz8DNnDmzJnkP3%2F%2BxPz9%2B5fh9%2B%2FfSxwcHOZiUwcQQIzIBly6dEkTqOEpEH8Ban4hJycnCpI%2FceLEay4uLgmgGA%2FQMOmgoKDrMD0AAcSEpHk2UOMVoKKbQEXiQPz358%2BfDCDMxsb2FyT269evm0B8ZcmSJbNh%2BgACCGzAxYsXq7m5uVPk5eWZBAUFQTbdBmLxHz9%2BMHz%2F%2Fp3h379%2FIANvA%2BUlgF5hEhERSenp6akG6QUIIBYQATSV6cWLFyC%2FMIJsFBcX52ZiYgL5HWyLpqYmSJwbJPfw4UOGQ4cO%2FQcaDrYcIIDgYXDs2LFWfn7%2BKpCtoID7%2BPEjw6NHjxhYWVkZFBUVGVhYWMAGfvv2DeTdtrKyMrALAAKIERhAZ4HOFQNibgkJCcGvX78yvH%2F%2FHmTgcSC7jp2dnQHorSYTExNLkGVArzLs37%2F%2FPdCwr0A9rwACiAVIGKiqqjK9ffsWbCvIxpcvXzIAvVDX0dGxB2TL7NmzQWK7gRYwgNRZWVkJAr0p2NfXJwUQQEwgZ4H8BjQI7HSQLTw8PAxA78CjF6QGJA8MTLAaYJgxgFwK8g5AALE8efLkAhCIAZ3Jra%2BvLwgKdWlpaZBNTbNmzQJrBuImSUlJsEZQ4AKj8f2XL1%2B%2BAsVfAQQQPBDXrl3bClRUBbIJFGAghY8fPwbbKCUlBaZBhoNsBoZB27Rp08CBCBBA4KhYs2ZNLdD0SgEBAbBmYMJhAKY8BmC8MygoKIADDhSYHBwc4BgBhlNlRkZGLUgvQACB0wEwDP4BA4iRk5MTlKgY7t69%2BxXoAi57e3tGkL%2BXLVv2n5GR8ZuFhQW3qKgog5CQECMwKv%2BB9AIEENwLTU1Ns9%2B9e5cEdOIroAIjXl7ecx4eHqBUCYqFF8D0YQQ07Bww4MSAfp%2B3bdu2VJA%2BgACC54W6ujqQgA7Q%2BepAb7wEKmb%2B9OkTw%2BvXr0EuZAbKvQSKq4PUwDSDAEAAMeLKznl5eclAzTGgKAY6fwkwkLFmZ4AAAwDzKLPEVR9s%2FQAAAABJRU5ErkJggg%3D%3D");
    right: 0;
    top: 0;
    opacity: 0.6;
}
.refpopups-configure:hover {
    opacity: 1;
}
.refpopups-configure-page {
    align-self: flex-end;
    display: block;
    float: right;
    position: relative;
    z-index: 499;
    font-size: smaller;
    clear: right;
}
.refpopups-configure-page ~ #WikiaArticleFooter #WikiaArticleComments {
    margin-top: 10px;
}
/* Don't print any of this stuff */
@media print {
    .refpopups-configure-page {
        display: none;
    }
    .refpopups-popup {
        display: none;
    }
}


/* Configuration form tweaks */
#refpopups-disable {
    width: calc(100% - 20px);
    margin-right: auto;
    margin-left: auto;
}
.refpopups-delay-slider-table {
    width: 100%;
    table-layout: fixed;
}
.refpopups-delay-slider-instant,
.refpopups-delay-slider-normal,
.refpopups-delay-slider-slow,
.refpopups-delay-slider-late {
    overflow: hidden;
    border-left: 1px solid;
    padding-left: 1ex;
    padding-right: 1ex;
}
.refpopups-delay-slider-instant {
    width: 15%;
}
.refpopups-delay-slider-normal {
    width: 25%
}
.refpopups-delay-slider-slow {
    width: 25%;
}
/* Oasis jQuery UI Slider Styling Hack (Colors are set in the main script) */
.skin-oasis #refpopups-delay-slider {
    background-color: transparent;
    margin: 1ex 0 1ex;
    border: 1px solid;
    border-radius: 1ex;
}
.skin-oasis #refpopups-delay-slider > .ui-slider-handle {
    border-radius: 1em;
    width: 1ex; /* Default = 1em */
    top: -0.35em;
}
.skin-oasis #refpopups-delay-slider.ui-disabled {
    background: transparent;
}
.skin-oasis #refpopups-delay-slider.ui-disabled > .ui-slider-handle {
    background: transparent;
}

Revision as of 03:08, 24 March 2023